#include "Multanelectronics_pk_lcd.h"      //Import Library

Multanelectronics_pk_lcd lcd(7, 6, 4, 5);  // RST, MISO, MOSI, SCK, or you can change it to any pin

//####################################Bell Logo data bits
static const char bell_logo[768] PROGMEM ={ 
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,
  0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,  0xF0,0xF8,0xFC,0xFC,0xFE,0xFF,0xFF,0xFF,
  0xFF,0xFF,0xFE,0xFC,0xFC,0xF8,0xF0,0xC0,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,  0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x80,0xC0,0xE0,0xF0,0xF8,0xFC,0xFF,0xFF,  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,  0xFF,0xFC,0xF8,0xF0,0xE0,0xC0,0x80,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x04,0x0C,0x1C,0x1C,0x3C,0x3C,0x7C,0x7C,
  0x7C,0x3C,0x3C,0x1C,0x1C,0x0C,0x04,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
  };

//####################################
void setup() 
{
lcd.Begin();      //LCD initialization
lcd.Clear_LCD();  //Clear LCD
}

//####################################
void loop() 
{
lcd.print(1, 24, 1, " Multanelectronics.Pk ");   //Print text on LCD. X-Position, Y-Position, Pixel Status Black/White(1=ON Black, 0=Off White)
lcd.print(3, 37, 1, "  Hello world  ");    //Print text on LCD. X-Pos, Y-Pos, Black/White
lcd.Update();                              //Update display data from buffer
delay(5000);
lcd.Clear_LCD();

//####################################Drawing a Pixel
lcd.drawPixel(49, 35, 1);   //X-Pos, Y-Pos, Black/White
lcd.Update();
delay(2000);
lcd.Clear_LCD();

for (int i=0; i<=67; i++)
{
lcd.drawPixel(i+14, i, 1);   //X-Pos, Y-Pos, Black/White
lcd.Update();
}
delay(500);
lcd.Clear_LCD();

//####################################Printing a 16x32 pixel character
lcd.simb16x32(1, 25, 1, 1);   //X-Pos, Y-Pos, Black/White, figure 1,2,3,4
lcd.simb16x32(25, 25, 1, 2);
lcd.simb16x32(50, 25, 1, 3);
lcd.simb16x32(75, 25, 1, 4);
lcd.Update();
delay(5000);
lcd.Clear_LCD();

//####################################Printing a 10x16 pixel character
lcd.simb10x16(1, 30, 1, 1);   //X-Pos, Y-Pos, Black/White, figure 1,2,3,4
lcd.simb10x16(25, 30, 1, 2);
lcd.simb10x16(50, 30, 1, 3);
lcd.simb10x16(75, 30, 1, 4);
lcd.Update();
delay(5000);
lcd.Clear_LCD(); 

//####################################Display Flickering
for (int i=0; i<=5; i++)
{
lcd.fillScreen(1);   //All pixel ON, black screen
lcd.Update();
delay(100);
lcd.fillScreen(0);   //All pixel OFF, white screen
lcd.Update();
delay(100);
}
lcd.Clear_LCD();

//####################################Display character
lcd.drawChar(45, 31, 1, 'Ж');   //X-Pos, Y-Pos, Black/White, Symbol 
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Display image
lcd.drawBitmap(24, 14, bell_logo, 48, 40, 1);   //X-Pos, Y-Pos, size 48 by 40 pixels, Black/White
lcd.Update();
delay(5000);
lcd.Clear_LCD();

//####################################Drawing a Line
lcd.drawLine(25, 10, 45, 45, 1);   //X-Pos, Y-Pos, X1, Y1, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Drawing a Vertical Line
lcd.drawFastVLine(47, 20, 30, 1);   //X-Pos, Y-Pos, Height, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Drawing a Horizontal Line
lcd.drawFastHLine(33, 34, 30, 1);   //X-Pos, Y-Pos, Length, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Drawing a rectangle
lcd.drawRect(30, 20, 40, 30, 1);    //X-Pos, Y-Pos, Height, Width, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Drawing a Circle
lcd.drawCircle(45, 35, 30, 1);      //X-Pos, Y-Pos, Radius, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Draw a rounded rectangle
lcd.drawRoundRect(10, 10, 40, 30, 10, 1);     //X-Pos, Y-Pos, Height, Width, Radius of the fillet, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Draw a Triangle
lcd.drawTriangle(10, 55, 35, 5, 60, 55, 1);   //X-Pos, Y-Pos, X1, Y1, X2, Y2, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Drawing an Arc
lcd.drawCircleHelper(30, 30, 20, 180, 1);      //X-Pos, Y-Pos, Radius, Angle, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Drawing a Filled Circle
lcd.fillCircle(30, 30, 20, 1);      //X-Pos, Y-Pos, Radius, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Draw a Semicircle
lcd.fillCircleHelper(30, 30, 20, 10, 1, 1);    //X-Pos, Y-Pos, Radius, Angle, Length, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Draw a filled Rectangle
lcd.fillRect(10, 10, 40, 30, 1);    //X-Pos, Y-Pos, Height, Width, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Draw filled round Rectangle
lcd.fillRoundRect(10, 10, 40, 30, 10, 1);     //X-Pos, Y-Pos, Height, Width, Radius of rounding, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

//####################################Display filled Triangle
lcd.fillTriangle(10, 55, 35, 5, 60, 55, 1);   //X-Pos, Y-Pos, X1, Y1, X2, Y2, Black/White
lcd.Update();
delay(1000);
lcd.Clear_LCD();

}

